%define module	XML-SAX
%define version 0.12
%define release 4mdk

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Patch:		%{name}-0.05-build.patch.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel perl-XML-NamespaceSupport
Requires:	perl
BuildArch:	noarch
Provides:	perl(XML::SAX::PurePerl::DTDDecls)
Provides:	perl(XML::SAX::PurePerl::DocType)
Provides:	perl(XML::SAX::PurePerl::EncodingDetect)
Provides:	perl(XML::SAX::PurePerl::XMLDecl)
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
%{module} module for perl
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep

%setup -q -n %{module}-%{version}
%patch -p0

chmod 644 Changes LICENSE README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall_std

touch $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/ParserDetails.ini

%post
perl -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null

%preun
if [ $1 -eq 0 ]; then
  perl -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()'
fi

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/XML
%{perl_vendorlib}/XML/SAX.pm
%dir %{perl_vendorlib}/XML/SAX
%{perl_vendorlib}/XML/SAX/*.pm
%{perl_vendorlib}/XML/SAX/*.pod
%{perl_vendorlib}/XML/SAX/PurePerl
%{_mandir}/man3/XML::*.3*
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%exclude %{perl_vendorlib}/XML/SAX/placeholder.pl

%changelog
* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12-4mdk
- added rh fixes by Ville Skyttä:
  - Handle ParserDetails.ini parser registration.
  - Own installed directories.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.12-3mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Thu May 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12-2mdk
- rebuild for new autoreq
- fix provides

* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.12-1mdk
- 0.12.

* Tue Nov  5 2002 Pixel <pixel@mandrakesoft.com> 0.11-1mdk
- fix license
- new release

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.10-2mdk
- rebuild for perl 5.8.0
- cleanup

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 0.10-1mdk
- removed filelist.
- 0.10.

* Tue Jan 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.05-1mdk
- initial RPM
- include patch for building.
